summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Giuseppe Di Terlizzi <giuseppe.diterlizzi@gmail.com>2017-03-17 08:32:01 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-03-17 08:32:01 +0700
commit2c381b12d434bb2b2e6a64e0408dfb0c0395d766 (patch)
tree182a12e8f9c105f79af573df6d06863167aba1e8 /development
parent90b1a00dc2a87e365fe22f5da591f1bf1f2cdcb3 (diff)
downloadslackbuilds-2c381b12d434bb2b2e6a64e0408dfb0c0395d766.tar.gz
slackbuilds-2c381b12d434bb2b2e6a64e0408dfb0c0395d766.tar.xz
development/mongodb-compass: Added (MongoDB Compass).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/mongodb-compass/README10
-rw-r--r--development/mongodb-compass/mongodb-compass.SlackBuild67
-rw-r--r--development/mongodb-compass/mongodb-compass.info10
-rw-r--r--development/mongodb-compass/slack-desc19
4 files changed, 106 insertions, 0 deletions
diff --git a/development/mongodb-compass/README b/development/mongodb-compass/README
new file mode 100644
index 0000000000..2630e8d6e0
--- /dev/null
+++ b/development/mongodb-compass/README
@@ -0,0 +1,10 @@
+MongoDB Compass
+
+The Easiest Way to Explore and Manipulate Your MongoDB Data.
+
+The GUI for MongoDB. Visually explore your data. Run ad hoc queries in seconds.
+Interact with your data with full CRUD functionality. View and optimize your
+query performance. Available on Linux, Mac, or Windows. Compass empowers you to
+make smarter decisions about indexing, document validation, and more.
+
+MongoDB Compass is available only for x86_64 platform.
diff --git a/development/mongodb-compass/mongodb-compass.SlackBuild b/development/mongodb-compass/mongodb-compass.SlackBuild
new file mode 100644
index 0000000000..fcf43808ec
--- /dev/null
+++ b/development/mongodb-compass/mongodb-compass.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for mongodb-compass
+
+# Copyright 2017 Giuseppe Di Terlizzi <giuseppe.diterlizzi@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mongodb-compass
+VERSION=${VERSION:-1.6.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ x86_64) ARCH=x86_64 ;;
+ *) echo "Architecture not supported"; exit 0;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+RPMNAM="$PRGNAM-$VERSION.$ARCH.rpm"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+rpm2cpio < $CWD/$RPMNAM | cpio -imdv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/usr/share/doc/mongodb-compass/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/mongodb-compass/mongodb-compass.info b/development/mongodb-compass/mongodb-compass.info
new file mode 100644
index 0000000000..1155057f0e
--- /dev/null
+++ b/development/mongodb-compass/mongodb-compass.info
@@ -0,0 +1,10 @@
+PRGNAM="mongodb-compass"
+VERSION="1.6.1"
+HOMEPAGE="https://www.mongodb.com/products/compass"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://downloads.mongodb.com/compass/mongodb-compass-1.6.1.x86_64.rpm"
+MD5SUM_x86_64="91d2465f7c5b57d3547c7427de31e42e"
+REQUIRES=""
+MAINTAINER="Giuseppe Di Terlizzi"
+EMAIL="giuseppe.diterlizzi@gmail.com"
diff --git a/development/mongodb-compass/slack-desc b/development/mongodb-compass/slack-desc
new file mode 100644
index 0000000000..20aecb264a
--- /dev/null
+++ b/development/mongodb-compass/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mongodb-compass: mongodb-compass (MongoDB Compass)
+mongodb-compass:
+mongodb-compass: The GUI for MongoDB. Visually explore your data. Run ad hoc queries
+mongodb-compass: in seconds. Interact with your data with full CRUD functionality.
+mongodb-compass: View and optimize your query performance. Compass empowers you to
+mongodb-compass: make smarter decisions about indexing, document validation, and more.
+mongodb-compass:
+mongodb-compass:
+mongodb-compass:
+mongodb-compass: Home-Page: https://www.mongodb.com/products/compass
+mongodb-compass: